% Externally, the following M4 symbols should be set:
%    __level = test, beginning, easy, intermediate, advanced
%    for solos:
%      __instrument = viola, violin, or cello
%    for duets:
%      __instrument1 (higher pitched) and __instrument2 (lower pitched)
% When in duets, the __instrument macro is defined/redefined internally.
m4_changequote(`[:',`:]')m4_dnl
m4_define([:__lilypond_smaller:],[:\begin[line-width=170\mm,staffsize=18]{lilypond}m4_include($1.ly)\end{lilypond}:])m4_dnl
m4_define([:__lilypond_slightly_smaller:],[:\begin[line-width=170\mm,staffsize=19]{lilypond}m4_include($1.ly)\end{lilypond}:])m4_dnl
m4_define([:__lilypond:],[:\begin[line-width=170\mm,staffsize=20]{lilypond}m4_include($1.ly)\end{lilypond}:])m4_dnl
m4_define([:__lilypond_larger:],[:\begin[line-width=170\mm,staffsize=22]{lilypond}m4_include($1.ly)\end{lilypond}:])m4_dnl
m4_define(__g_clef_if_viola,m4_ifelse(__instrument,viola,[:\clef G:]))m4_dnl
m4_define(__contents,[:\addcontentsline{toc}{chapter}{$1}:])m4_dnl
m4_ifdef([:__instrument:],[:m4_define(__solo,1):])m4_dnl
m4_ifdef([:__instrument:],,[:m4_define(__duet,1):])m4_dnl
m4_ifdef([:__solo:],%solo is defined,%solo is undefined)
m4_ifdef([:__duet:],%duet is defined,%duet is undefined)
m4_ifdef([:__solo:],%fingerings __instrument)
%  ... a marker for the filter_fingerings script; the % makes it a TeX comment
m4_define(__ambitus,[:\with {\consists "Ambitus_engraver"}:])
%
%-------clefs------
%
m4_define(__clef,m4_ifelse(__instrument,viola,C,__instrument,violin,G,__instrument,cello,bass))m4_dnl
m4_define(__clef1,m4_ifelse(__instrument1,viola,C,__instrument1,violin,G,__instrument1,cello,bass))m4_dnl
m4_define(__clef2,m4_ifelse(__instrument2,viola,C,__instrument2,violin,G,__instrument2,cello,bass))m4_dnl
%
%-------global transposition------
%
m4_ifdef([:__solo:],[:m4_define(__transposition,m4_ifelse(__instrument,viola,[:c c:],__instrument,violin,[:c g:],__instrument,cello,[:[:c c,:]:])):])m4_dnl
% For duets, try to guess a reasonable over-all transposition. This can be further modified in the lilypond source file.
% The default is assumed to be a duet for two violins. Since it's physically impossible to go below the range of the instrument,
% the idea is to transpose it down if and only if the higher-pitched instrument, instrument1, is lower than a violin.
% Note that the transpositions may be applied outside of a \relative {...}, so that, e.g., \transpose c a { } may go up a sixth rather than down a third.
m4_ifdef([:__duet:],[:
  m4_ifelse(__instrument1,violin,[:m4_define(__transposition,[:c c:]):])
  m4_ifelse(__instrument1,viola,[:m4_define(__transposition,[:c f,:]):])
  m4_ifelse(__instrument1,cello,[:m4_define(__transposition,[:c f,,:]):])
:])
% transposition is __transposition
m4_define([:__extra_spacing:],[:\renewcommand{\betweenLilyPondSystem}[1]{\\[$1mm]}:])m4_dnl
\documentclass{anthology}
\begin{document}


%-------------------------------------------------------------------------

\renewcommand{\thepage}{\arabic{page}}

\tableofcontents

\mainmatter

\addtocounter{page}{2}

\markboth{www.lightandmatter.com/music/strings --- Copying is encouraged.}{www.lightandmatter.com/music/strings --- Copying is encouraged.}

m4_ifdef([:__solo:],[:

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% beginning of solos
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% beginning of test, solos
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

m4_ifelse(__level,test,[:
__lilypond_slightly_smaller(accolay_concerto)
:])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% beginning of easy solos
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

m4_ifelse(__level,easy,[:
%------------ Strauss, Tales from the Vienna Woods ----------------
__contents([:Strauss, Tales from the Vienna Woods:])
__lilypond(strauss_vienna_woods)\\*
This is a short solo arrangement of the best known theme from the original waltz, which is a long
orchestral piece with a virtuoso part for zither.

__lilypond(strauss_vienna_woods_prep)
:])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% beginning of intermediate
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

m4_ifelse(__level,intermediate,[:

%------------ Gounod, Ave Maria ----------------
% from mutopiaproject.org, originally a trumpet transcription by S. Mohamed, public domain
\begin{samepage}
__contents([:Gounod, Ave Maria:])
__lilypond_smaller(ave_maria)
\end{samepage}

%------------ Pergolesi, Andante ----------------
% from Sinfonia, Lo Frate 'nnamorato
% arranged as a solo by B. Crowell, from an edition by Stefano Zanobini, at http://icking-music-archive.org/ByComposer/Pergolesi.php
\begin{samepage}
__contents([:Pergolesi, Andante:])
__lilypond_smaller(pergolesi_andante)

This is the slow middle movement of the sinfonia from the opera Lo Frate 'nnamorato.
A complete score of the sinfonia is available at
www.lightandmatter.com/music/strings.
\end{samepage}

\pagebreak[4]

%------------ Brahms, Hungarian Dance No. 10  ---------------------
% based on an 1881 arrangement for cello and piano by Piatti
% Viola/violin fingerings are mine.

__contents([:Brahms, Hungarian Dance No. 10:])
__extra_spacing(3)
__lilypond(brahms_hungarian_dance_10)
__extra_spacing(0)

\pagebreak[4]

%------------ Bohm, Sarabande ----------------
__contents([:Bohm, Sarabande:])
__lilypond_larger(bohm_sarabande)

\pagebreak[4]

%------------ Pergolesi, Quae Moerebat et Dolebat ----------------
% arranged as a solo by B. Crowell, from an edition by Sergio Godínez at http://icking-music-archive.org/ByComposer/Pergolesi.php
\begin{samepage}
__contents([:Pergolesi, ``Quae Moerebat et Dolebat'':])
__lilypond_smaller(pergolesi_quae_moerebat)
The Latin text of this aria, describing the crucifixion, means \emph{The pious Mother mourned and grieved, seeing the torment of her glorious Son}.
% My paraphrase of translations I found on the net.
\end{samepage}

\pagebreak[4]

% ----------- Gluck, Theme from Orfeo --------------
% http://imslp.org/wiki/Transcription_of_a_melody_from_Orfeo_by_Gluck_(Sgambati%2C_Giovanni)
__contents([:Gluck, Theme from Orfeo:])
__lilypond(gluck_orfeo)

\pagebreak[4]

%------------ sonata, Eccles -------------------
% This is based on a 1914 arrangement by J. Salmon for violin and piano. (The piece was
% originally written for cello and keyboard.)  I'm grateful for help from
% Bruce Babad, Luis Rosa LeBron, and Anna Ko --- any errors or bad artistic judgment
% are my fault, not theirs. Public domain.
__contents([:Eccles, Sonata:])
__extra_spacing(1)
__lilypond(eccles_1)
__lilypond(eccles_2)
__extra_spacing(0)

\pagebreak[4]

__extra_spacing(2)
__lilypond(eccles_3)
__lilypond(eccles_4)\\*
__extra_spacing(0)
A complete score with piano accompaniment is available at
www.lightandmatter.com/music/strings.

\pagebreak

%------------ Saint-Saens, The Swan -------------------
% PD edition
__contents([:Saint-Saens, The Swan:])
__extra_spacing(5)
__lilypond_larger(swan)\\*
__extra_spacing(0)
This is a cello solo from (no. 13) from \emph{The Carnival of the Animals}. A score with a 4-hands piano
accomaniment is available from imslp.org.

\pagebreak


%------------ Bach, cello suite I ---------------------
% from a viola edition by L. Svecenski (1862-1926)
% entered in lilypond format by Andreas Scherer (PD)
% further editorial work by B. Crowell (PD)
__contents([:J.S. Bach, Cello Suite I:])
__extra_spacing(1)
__lilypond(bach_cello_suite_i_1)
__extra_spacing(0)

\pagebreak[4]

__lilypond(bach_cello_suite_i_2)
__lilypond(bach_cello_suite_i_3)
__lilypond(bach_cello_suite_i_4)

\pagebreak[4]

__extra_spacing(6)
__lilypond_larger(bach_cello_suite_i_5)
__lilypond_larger(bach_cello_suite_i_6)
__lilypond_larger(bach_cello_suite_i_7)
__extra_spacing(0)

\pagebreak[4]

%------------ Geminiani, Jig  ---------------------
% based on a 1924 edition by Corti, imslp
% Fingerings are mine.
__contents([:Geminiani, Jig:])
__extra_spacing(6)
__lilypond_larger(geminiani_jig)
__extra_spacing(0)
This jig is from a solo violin sonata in B flat. A complete score of the sonata
is available from imslp.org.

\pagebreak[4]

%------------ Biber, Allegro ---------------------
% based on a score by Johan Tufvesson
__contents([:Biber, Allegro:])
__lilypond(biber_allegro)

\pagebreak[4]

%------------ Biber, Allemande ---------------------
__contents([:Biber, Allemande:])
__extra_spacing(1)
__lilypond(biber_allemande)
__extra_spacing(0)

These two pieces are from a sonata entitled Sonata Violino Solo Representativa.
A score with figured bass is available from icking-music-archive.org.

\pagebreak[4]

%------------ :Bruch, Swedish Dance No. 8 ---------------------
% from an 1892 edition on imslp
__contents([:Bruch, Swedish Dance No. 8:])
__extra_spacing(6)
__lilypond(bruch_swedish_dance)
__extra_spacing(0)

A piano accompaniment is available at imslp.org.

\pagebreak[4]

%------------ Telemann, Fantasia No. 8  ---------------------
__contents([:Telemann, Fantasia No. 8:])
__extra_spacing(4)
__lilypond(telemann_fantasia_8_i)
__extra_spacing(0)

\pagebreak[4]

__extra_spacing(3)
__lilypond(telemann_fantasia_8_ii)
__lilypond(telemann_fantasia_8_iii)
__extra_spacing(0)

\pagebreak[4]
%------------ Accolay Concerto  ---------------------
__contents([:Accolay, Concerto No. 1:])
__lilypond_slightly_smaller(accolay_concerto)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% end of intermediate
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:])% end solos

m4_ifdef([:__duet:],[:


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% beginning of duets
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% beginning of test for duets
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
m4_ifelse(__level,test,[:


%------------ Oswald, Divertimento ----------------
m4_define([:__transposition2:],[:c c:])
__contents([:Oswald, Divertimento No. 3:])
__lilypond_larger(oswald_divertimento)\\*


:]) % end of test

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% beginning of easy duets
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

m4_ifelse(__level,easy,[:

%------------ Bach, Gavotte ----------------
m4_define([:__transposition_bottom:],[:c c:])
m4_ifelse(__instrument1,violin,[:m4_ifelse(__instrument2,cello,[:m4_define([:__transposition_bottom:],[:c c,:]):]):])
__contents([:Bach, Gavotte:])
__lilypond(bach_gavotte)\\*
This is the second gavotte from English Suite No. 6.

\pagebreak[4]

%------------ Mozart, Duet 10 ----------------
m4_define([:__transposition2:],[:c c:])
m4_ifelse(__instrument1,__instrument2,[:m4_define([:__transposition2:],[:c c':]):])
__contents([:Mozart, Andante:])
__lilypond(mozart_andante)\\*
This is an arrangement of Duet No. 10, from 12 Duets for Horns, K.V. 487.

\pagebreak[4]

%------------ Mozart, Duet 2 ----------------
m4_define([:__transposition2:],[:c c:])
m4_ifelse(__instrument1,__instrument2,[:m4_define([:__transposition2:],[:c aes:]):])
__contents([:Mozart, Minuet:])
__lilypond(mozart_minuet)\\*
This is an arrangement of Duet No. 2, from 12 Duets for Horns, K.V. 487.

\pagebreak[4]

%------------ Oswald, Divertimento ----------------
m4_define([:__transposition2:],[:c c:])
m4_define([:__transposition_bottom:],[:c c:])
m4_ifelse(__instrument1,violin,[:m4_ifelse(__instrument2,cello,[:m4_define([:__transposition_bottom:],[:c c,:]):]):])
m4_ifelse(__instrument1,viola,[:m4_ifelse(__instrument2,cello,[:m4_define([:__transposition2:],[:c f,:]):]):])
__contents([:Oswald, Divertimento:])
__lilypond_larger(oswald_divertimento)\\*

\pagebreak[4]

%------------ Bach, Invention 2 ----------------
% The parts diverge too much in pitch to make this practical for two of the same instrument, so omit it from those
% anthologies.
m4_ifelse(__instrument1,__instrument2,[::],[:
__contents([:Bach, Invention No. 2:])
__lilypond(bach_invention_2)\\*
Based on a score contributed to mutopiaproject.org by Jeff Covey, Creative Commons Attribution-ShareAlike 3.0 license.
:])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% end of easy duets
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
:])



:])


\end{document}
